# Compression (sshj 0.5.0 API)
Date: 2011-07-27

## net.schmizz.sshj.transport.compression
Interface Compression

All Known Implementing Classes:
  DelayedZlibCompression, NoneCompression, ZlibCompression

    public interface Compression

Interface used to compress the stream of data between the SSH server and clients.

Nested Class Summary
`static class` `Compression.Mode` Enum identifying if this object will be used to compress or uncompress data.

Method Summary
`void` `compress(Buffer buffer)` Compress the given buffer in place.
`void` `init(Compression.Mode mode)` Initialize this object to either compress or uncompress data.
`boolean` `isDelayed()` Delayed compression is an Open-SSH specific feature which informs both the client and server to not compress data before the session has been authenticated.
`void` `uncompress(Buffer from, Buffer to)` Uncompress the data in a buffer into another buffer.

Method Detail

### init

    void init(Compression.Mode mode)

  Initialize this object to either compress or uncompress data. This method must be called prior to any calls to either `compress` or `uncompress`. Once the object has been initialized, only one of `compress` or `uncompress` method can be called.

  Parameters:
    `mode` -

### isDelayed

    boolean isDelayed()

  Delayed compression is an Open-SSH specific feature which informs both the client and server to not compress data before the session has been authenticated.

  Returns:
    if the compression is delayed after authentication or not

### compress

    void compress(Buffer buffer)

  Compress the given buffer in place.

  Parameters:
    `buffer` - the buffer containing the data to compress s

### uncompress

    void uncompress(Buffer from,
                    Buffer to)
                    throws TransportException

  Uncompress the data in a buffer into another buffer.

  Parameters:
    `from` - the buffer containing the data to uncompress
    `to` - the buffer receiving the uncompressed data
  Throws:
    `TransportException`

Copyright © 2009-2011. All Rights Reserved.